Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Tue, 15 Dec 2020 16:20:12 +0100

> Just to clarify, despite of the title of this bug, it is not a
 > flickering, but the mouse-wheel scrolling preformance decreases with
 > the number of open frames, in the sense that it becomes more and more
 > sticky.

In that case we should consider implementing a variable that updates the
mode lines on one specific frame only.  Does performance not degrade when
you comment out _only_ the two instances of 'wset_update_mode_line' in
'window_scroll_pixel_based'?

martin